petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscViewerASCIIPushSynchronized

Allows calls to PetscViewerASCIISynchronizedPrintf() for this viewer

### Synopsis

    #include "petscviewer.h"
    PetscErrorCode  PetscViewerASCIIPushSynchronized(PetscViewer viewer)

Collective on PetscViewer

### Input Parameters

viewer -obtained with PetscViewerASCIIOpen()

### See Also

PetscViewerASCIIPopSynchronized(), PetscPrintf(), PetscSynchronizedPrintf(), PetscViewerASCIIPrintf(),
PetscViewerASCIIPopTab(), PetscViewerASCIISynchronizedPrintf(), PetscViewerASCIIOpen(), PetscViewerCreate(), PetscViewerDestroy(), PetscViewerSetType(), PetscViewerASCIIGetPointer()

### Level

intermediate

### Location

src/sys/classes/viewer/impls/ascii/filev.c

### Examples

src/dm/examples/tutorials/swarm_ex1.c.html
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages